/*
 * Copyright 2010 James Pether Sörling
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *	$Id: DocumentStatusContainerDAO.java 5451 2011-04-26 20:55:17Z pether $
 *  $HeadURL: https://cia.svn.sourceforge.net/svnroot/cia/tags/parent-pom-2011.05.31/service.data.api/src/main/java/com/hack23/cia/service/data/api/DocumentStatusContainerDAO.java $
*/
package com.hack23.cia.service.data.api;

import java.util.List;

import com.hack23.cia.model.external.riksdagen.dokumentstatus.impl.DocumentStatusContainer;

/**
 * The Interface DocumentStatusContainerDAO.
 */
public interface DocumentStatusContainerDAO extends AbstractGenericDAO<DocumentStatusContainer, Long>{

 	/**
		 * Check exist by document id.
		 *
		 * @param id
		 *            the id
		 * @return the int
		 */
 	int checkExistByDocumentId(String id);

 	/**
		 * Gets the avaible committee proposal.
		 *
		 * @return the avaible committee proposal
		 */
	List<String> getAvaibleCommitteeProposal();

	/**
	 * Gets the id list.
	 *
	 * @return the id list
	 */
	List<String> getIdList();
}
