/*
 * Copyright 2010 James Pether Sörling
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *	$Id: LanguageContentDataDAO.java 4776 2010-09-30 17:09:25Z pether $
 *  $HeadURL: https://cia.svn.sourceforge.net/svnroot/cia/tags/parent-pom-2011.05.31/service.data.api/src/main/java/com/hack23/cia/service/data/api/LanguageContentDataDAO.java $
*/
package com.hack23.cia.service.data.api;

import com.hack23.cia.model.internal.application.system.impl.LanguageContentData;

/**
 * The Interface LanguageContentDataDAO.
 */
public interface LanguageContentDataDAO  extends AbstractGenericDAO<LanguageContentData, Long> {

	/**
	 * Find translation.
	 * 
	 * @param key
	 *            the key
	 * @param fromLanguage
	 *            the from language
	 * @param toLanguage
	 *            the to language
	 * @return the language content data
	 */
	LanguageContentData findTranslation(String key, String fromLanguage,
			String toLanguage);
}
